List watched codes (Enterprise)
GET
/watchlists
const url = 'https://api.firmsapi.com/v1/watchlists';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.firmsapi.com/v1/watchlists \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “ Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
object
meta
object
data_as_of
string format: date
source
string
mode
string
Example
{ "meta": { "mode": "live" }}Error
Media type application/json
object
error
object
code
string
message
string
links
object
Example generated
{ "error": { "code": "example", "message": "example", "links": {} }}Error
Media type application/json
object
error
object
code
string
message
string
links
object
Example generated
{ "error": { "code": "example", "message": "example", "links": {} }}